import { FastifyInstance } from "fastify";
import V1AccountsMiddleware from "./AccountsMiddleware";
import V1ConnectionsMiddleware from "./ConnectionsMiddleware";
import V1DevicesMiddleware from "./DevicesMiddleware";
import V1FilesMiddleware from "./FilesMiddleware";
import V1GuildFilesMiddleware from "./GuildFilesMiddleware";
import V1GuildsMiddleware from "./GuildsMiddleware";
import V1MemberRolesMiddleware from "./MemberRolesMiddleware";
import V1MembersMiddleware from "./MembersMiddleware";
import V1RolesMiddleware from "./RolesMiddleware";
import V1RoomRolesMiddleware from "./RoomRolesMiddleware";
import V1RoomsMiddleware from "./RoomsMiddleware";
import V1UsersMiddleware from "./UsersMiddleware";
import V1RoomFilesMiddleware from "./RoomFilesMiddleware";
import V1RoomLogsMiddleware from "./RoomLogsMiddleware";
import V1MessagesMiddleware from "./MessagesMiddleware";
import V1PostsMiddleware from "./PostsMiddleware";
import V1DiscoveriesMiddleware from "./DiscoveriesMiddleware";
import V1DocumentsMiddleware from "./DocumentsMiddleware";
import V1DocumentGroupsMiddleware from "./DocumentGroupsMiddleware";
import V1DocumentSectionsMiddleware from "./DocumentSectionsMiddleware";
import V1BlogsMiddleware from "./BlogsMiddleware";

export default async function APIV1Middleware(fastify: FastifyInstance) {
    fastify.register(V1AccountsMiddleware);
    fastify.register(V1BlogsMiddleware);
    fastify.register(V1ConnectionsMiddleware);
    fastify.register(V1DevicesMiddleware);
    fastify.register(V1FilesMiddleware);
    fastify.register(V1GuildFilesMiddleware);
    fastify.register(V1GuildsMiddleware);
    fastify.register(V1MemberRolesMiddleware);
    fastify.register(V1MembersMiddleware);
    fastify.register(V1MessagesMiddleware);
    fastify.register(V1PostsMiddleware);
    fastify.register(V1RolesMiddleware);
    fastify.register(V1RoomRolesMiddleware);
    fastify.register(V1RoomsMiddleware);
    fastify.register(V1UsersMiddleware);
    fastify.register(V1RoomFilesMiddleware);
    fastify.register(V1RoomLogsMiddleware);
    fastify.register(V1DiscoveriesMiddleware);
    fastify.register(V1DocumentGroupsMiddleware);
    fastify.register(V1DocumentsMiddleware);
    fastify.register(V1DocumentSectionsMiddleware);
}